package com.pwt.web.mapper;

import java.util.List;
import com.pwt.web.domain.PwtRobotFault;
import org.apache.ibatis.annotations.Param;

/**
 * 机器人故障信息Mapper接口
 * 
 * @author pwt
 * @date 2022-11-23
 */
public interface PwtRobotFaultMapper 
{
    /**
     * 查询机器人故障信息
     * 
     * @param id 机器人故障信息主键
     * @return 机器人故障信息
     */
    public PwtRobotFault selectPwtRobotFaultById(Long id);

    /**
     * 查询机器人故障信息列表
     * 
     * @param pwtRobotFault 机器人故障信息
     * @return 机器人故障信息集合
     */
    public List<PwtRobotFault> selectPwtRobotFaultList(PwtRobotFault pwtRobotFault);

    /**
     * 新增机器人故障信息
     * 
     * @param pwtRobotFault 机器人故障信息
     * @return 结果
     */
    public int insertPwtRobotFault(PwtRobotFault pwtRobotFault);

    /**
     * 修改机器人故障信息
     * 
     * @param pwtRobotFault 机器人故障信息
     * @return 结果
     */
    public int updatePwtRobotFault(PwtRobotFault pwtRobotFault);

    /**
     * 删除机器人故障信息
     * 
     * @param id 机器人故障信息主键
     * @return 结果
     */
    public int deletePwtRobotFaultById(Long id);

    /**
     * 批量删除机器人故障信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePwtRobotFaultByIds(Long[] ids);

    /**
     * 查询机器人故障信息
     *
     * @param subscript 机器人故障信息下标
     * @return 机器人故障信息
     */
    public PwtRobotFault selectRobotFaultBySubscript(@Param("subscript") int subscript);
}
